Page MenuHomePhabricator

Python efl should include efl.eo_api.h and be accessible with pkg-config
Open, TODOPublic

Description

At the moment if you want to pass c pointer to python and vice-versa you have to copy the efl.eo_api.h in your application.
I think this file is generated, so you might have to copy it every new release?
It would be nice if this file was installed with python-efl and accessible with pkg-config.

indefini created this task.Oct 18 2017, 4:07 PM

well... indeed it can be installed... but: it never changed in the past, and probably will never change in the future, so you don't have to copy on every releases. At least I never had to change it in edgar.

Also installing a C header and the relative .pc file is not really trivial from the setup.py script,
so I'm not sure it worth the pain for no real benefit

... of course patches to implent this will be kindly accepted ;)

DaveMDS lowered the priority of this task from TODO to Pending on user input.Feb 1 2018, 11:19 AM

I don't understand why you need more input?
Maybe a patch I understand :)
If you think it isn't worth it, maybe change it to wishlist?

indefini raised the priority of this task from Pending on user input to TODO.Feb 14 2018, 8:06 PM
indefini claimed this task.
indefini added a subscriber: DaveMDS.

I assigned it to me, but I am not currently using the python bindings.
Until I do, If someone wants to work on this, feel free to reassign.